package com.mh.user.constants;

import com.mh.user.strategy.CJ188ProtocolStrategy;
import com.mh.user.strategy.EleProtocolStrategy;
import com.mh.user.strategy.ModbusProtocolStrategy;
import com.mh.user.strategy.ProtocolStrategy;

/**
 * @author LJF
 * @version 1.0
 * @project mh_esi
 * @description 协议枚举类
 * @date 2024-09-12 10:31:53
 */
public enum ProtocolStrategyEnum {

    CJ188_PROTOCOL("0", CJ188ProtocolStrategy.getInstance()),

    MODBUS_PROTOCOL("1", ModbusProtocolStrategy.getInstance()),

    ELE_97_PROTOCOL("2", EleProtocolStrategy.getInstance()),

    ELE_07_PROTOCOL("3", EleProtocolStrategy.getInstance()),

    ;

    private String protocolType;

    private ProtocolStrategy protocolStrategy;

    ProtocolStrategyEnum(String protocolType, ProtocolStrategy protocolStrategy) {
        this.protocolType = protocolType;
        this.protocolStrategy = protocolStrategy;
    }

    public String getProtocolType() {
        return protocolType;
    }

    public void setProtocolType(String protocolType) {
        this.protocolType = protocolType;
    }

    public ProtocolStrategy getProtocolStrategy() {
        return protocolStrategy;
    }

    public void setProtocolStrategy(ProtocolStrategy protocolStrategy) {
        this.protocolStrategy = protocolStrategy;
    }

    public static ProtocolStrategy getProtocolStrategy(String protocolType) {
        for (ProtocolStrategyEnum protocolStrategyEnum : ProtocolStrategyEnum.values()) {
            if (protocolStrategyEnum.getProtocolType().equals(protocolType)) {
                return protocolStrategyEnum.getProtocolStrategy();
            }
        }
        return null;
    }
}
