package com.mh.user.controller;

import com.github.pagehelper.PageInfo;
import com.mh.common.http.HttpResult;
import com.mh.common.page.PageResult;
import com.mh.user.annotation.SysLogger;
import com.mh.user.dto.EnergyMomYoyDataDTO;
import com.mh.user.entity.DeviceInstallEntity;
import com.mh.user.entity.EnergyDataEntity;
import com.mh.user.entity.EnergyEntity;
import com.mh.user.model.EnergyModel;
import com.mh.user.service.EnergyDataService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import java.util.ArrayList;
import java.util.List;

@Slf4j
@RestController
@RequestMapping("energyData")
public class EnergyDataController {

    @Autowired
    EnergyDataService energyDataService;

    @SysLogger(value="中央空调",optDesc = "按小时、天、月、年查询用量")
    @PostMapping("/query")
    public HttpResult queryEnergyData(@RequestBody EnergyModel energyModel){
        try{
            String projectId=energyModel.getProjectId();
            if(projectId!=null && projectId.length()>0){
                List<EnergyDataEntity> list=energyDataService.queryEnergyData(energyModel);
                int count=energyDataService.getEnergyDataCount(energyModel);
                return  HttpResult.ok(count,list);
            }else{
                return  HttpResult.error();
            }
        }catch (Exception e){
//            e.printStackTrace();
            return  HttpResult.error("查询出错!");
        }

    }

    @SysLogger(value="中央空调",optDesc = "按小时、天、月、年查询用水用电eer环比")
    @PostMapping("/mom")
    public HttpResult queryMomEnergyData(@RequestBody EnergyModel energyModel){
        try{
            String projectId=energyModel.getProjectId();
            if(projectId!=null && !projectId.isEmpty()){
                PageResult result = energyDataService.queryMomEnergyData(energyModel);
                return  HttpResult.ok(result);
            }else{
                return  HttpResult.error();
            }
        }catch (Exception e){
            log.error("查询数据异常", e);
            return  HttpResult.error("查询出错!");
        }

    }

    @SysLogger(value="中央空调",optDesc = "按小时、天、月、年查询用水用电eer同比")
    @PostMapping("/yoy")
    public HttpResult queryYoyEnergyData(@RequestBody EnergyModel energyModel){
        try{
            String projectId=energyModel.getProjectId();
            if(projectId!=null && !projectId.isEmpty()){
                PageResult result = energyDataService.queryYoyEnergyData(energyModel);
                return  HttpResult.ok(result);
            }else{
                return  HttpResult.error();
            }
        }catch (Exception e){
            log.error("查询数据异常", e);
            return  HttpResult.error("查询出错!");
        }

    }

}
