package com.mh.user.controller;

import com.alibaba.fastjson2.JSONObject;
import com.mh.common.http.HttpResult;
import com.mh.user.dto.ScreenRequestParamDTO;
import com.mh.user.service.ScreenService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * @author LJF
 * @version 1.0
 * @project mh_esi
 * @description 大屏接口类
 * @date 2024-09-24 11:40:15
 */
@RestController
@RequestMapping("/screen")
public class ScreenController {

    @Resource
    private ScreenService screenService;

    /**
     * 能耗数据
     * @return
     */
    @PostMapping("/energyData")
    public HttpResult energyData(@RequestBody ScreenRequestParamDTO screenRequestParamDTO) {
        return HttpResult.ok(screenService.energyData(screenRequestParamDTO));
    }

    /**
     * 节能量概况
     * @return
     */
    @PostMapping("/savingEnergyData")
    public HttpResult savingEnergy(@RequestBody ScreenRequestParamDTO screenRequestParamDTO) {
        return HttpResult.ok(screenService.savingEnergy(screenRequestParamDTO));
    }

    /**
     * 节能量同比
     * @return
     */
    @PostMapping("/savingYoyEnergyData")
    public HttpResult savingYoyEnergyData(@RequestBody ScreenRequestParamDTO screenRequestParamDTO) {
        return HttpResult.ok(screenService.savingYoyEnergyData(screenRequestParamDTO));
    }

    /**
     * 故障详情
     * @return
     */
    @PostMapping("/faultList")
    public HttpResult faultList() {
        return HttpResult.ok(screenService.faultList());
    }

    /**
     * 项目坐标数据
     * @return
     */
    @PostMapping("/projectData")
    public HttpResult projectData() {
        return HttpResult.ok(screenService.projectData());
    }

}
