package com.mh.user.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import com.alibaba.excel.enums.poi.HorizontalAlignmentEnum;

/**
 * @author LJF
 * @version 1.0
 * @project mh_esi
 * @description 数据结果集基本类
 * @date 2024-07-10 16:49:24
 */
@Data
@HeadRowHeight(value = 20)
@ContentStyle(horizontalAlignment = HorizontalAlignmentEnum.CENTER)//内容样式
public class ExportBaseResultDTO {

    @ColumnWidth(value = 18)
    @ExcelProperty(value = "时间", index = 1)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private String curDate;

    @ColumnWidth(value = 18)
    @ExcelProperty(value = "瞬时流量", index = 2)
    private String curValue;

    @ColumnWidth(value = 18)
    @ExcelProperty(value = "项目名称", index = 0)
    private String projectName;

    public ExportBaseResultDTO(String projectName, String curDate, String curValue) {
        this.projectName = projectName;
        this.curDate = curDate;
        this.curValue = curValue;
    }
}
