package com.mh.user.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;

@Setter
@Getter
@ToString
@TableName("device_code_param")
public class DeviceCodeParamEntity implements Cloneable {

    private Long id;
    private String deviceAddr;
    private String deviceName;
    private String deviceType;
    private String strData;
    private String dataPort;
    private int baudRate;
    private String parity;
    private String brand;
    private String funCode;
    private String registerAddr;
    private String registerName;
    private int digit;              //保留小数位
    private int grade;              //级别
    private String dataValue;       //传入值
    private Date createTime;        // 创建时间
    private String projectId;       // 项目id
    private Long mmId;              // 设备管理ID
    private int dataType;       // 数据类型
    private int protocolType;       // 协议类型（数据字典）

    /**
     * 重置
     */
    public void reset() {
        this.deviceAddr = null;
        this.deviceName = null;
        this.deviceType = null;
        this.strData = null;
        this.dataPort = null;
        this.baudRate = 0;
        this.parity = null;
        this.brand = null;
        this.funCode = null;
        this.registerAddr = null;
        this.registerName = null;
        this.digit = 0;
        this.grade = 0;
        this.dataValue = null;
        this.createTime = null;
        this.projectId = null;
        this.mmId = null;
        this.dataType = 16;
        this.protocolType = 0;
    }

    @Override
    public DeviceCodeParamEntity clone() {
        try {
            // TODO: copy mutable state here, so the clone can't change the internals of the original
            return (DeviceCodeParamEntity) super.clone();
        } catch (CloneNotSupportedException e) {
            throw new AssertionError();
        }
    }
}
