package com.mh.user.factory;

import com.mh.user.entity.DeviceCodeParamEntity;
import com.mh.user.entity.MeterManageEntity;
import com.mh.user.strategy.ProtocolStrategy;
import lombok.extern.slf4j.Slf4j;

/**
 * @author LJF
 * @version 1.0
 * @project mh_esi
 * @description 水表标准协议
 * @date 2024-09-12 14:04:01
 */
@Slf4j
public class EleProtocol implements Protocol {

    private ProtocolStrategy eleProtocolStrategy;

    private static class SingletonHolder{
        private static final EleProtocol INSTANCE = new EleProtocol();
    }

    private EleProtocol(){
        // 防止外部直接实例化
    }

    public static EleProtocol getInstance(){
        return SingletonHolder.INSTANCE;
    }

    @Override
    public void setStrategy(ProtocolStrategy protocolStrategy) {
        this.eleProtocolStrategy = protocolStrategy;
    }

    @Override
    public String createOrder(MeterManageEntity meterManageEntity) {
        log.info("电表97/07规约协议：工厂创建报文");
        return eleProtocolStrategy.createOrder(meterManageEntity);
    }

    @Override
    public String analysisReceiveData(DeviceCodeParamEntity deviceCodeParamEntity, String receiveData) {
        log.info("电表97/07规约协议：工厂解析报文");
        return eleProtocolStrategy.analysisReceiveData(deviceCodeParamEntity, receiveData);
    }

}
