package com.mh.user.factory;

import com.mh.user.entity.DeviceCodeParamEntity;
import com.mh.user.entity.MeterManageEntity;
import com.mh.user.strategy.ProtocolStrategy;

/**
 * @author LJF
 * @version 1.0
 * @project mh_esi
 * @description 根据协议实现对设备的生产和解析
 * @date 2024-09-12 11:17:20
 */
public interface Protocol {

    /**
     * 设置协议策略
     * @param protocolStrategy
     */
    void setStrategy(ProtocolStrategy protocolStrategy);

    /**
     * 创建指令
     * @param meterManageEntity
     * @return
     */
    String createOrder(MeterManageEntity meterManageEntity);

    /**
     * 解析指令
     * @param deviceCodeParamEntity
     * @param receiveData
     * @return
     */
    String analysisReceiveData(DeviceCodeParamEntity deviceCodeParamEntity, String receiveData);

}
