package com.mh.user.job;

import com.mh.user.netty.EchoServer;
import com.mh.user.service.*;
import gnu.io.SerialPort;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

/**
 * @author ljf
 * @title ：
 * @description ： 自动执行采集程序,通过
 * @updateTime 2020-05-15
 * @throws ：
 */
@Slf4j
@Component
public class CollectionLoopRunner implements ApplicationRunner {

    public static SerialPort serialPort = null;

    @Autowired
    private DeviceCodeParamService deviceCodeParamService;

    @Autowired
    private SysDictService sysDictService;

    @Override
    public void run(ApplicationArguments args) {
        try {
            // 生成采集参数
            createCodeParams();
            // 生成字典缓存
            createDictDataCache();
            new EchoServer(6001).start();                // 调用服务器的start方法,网关作为客户端,6006新珠江,6001广合科技,6077广大科技 6028(6006)珠江国际,5000保利山庄,6004东莞迎宾馆
        } catch (Exception e) {
            log.info("6001端口已占用！");
        }
    }

    private void createCodeParams() {
        deviceCodeParamService.createCodeParams(null);
    }

    public void createDictDataCache() {
        // 缓存字典值
        sysDictService.createDictDataCache();
    }

}
