package com.mh.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mh.user.entity.DataResultClEntity;
import com.mh.user.entity.DataResultEntity;
import com.mh.user.entity.DataResultChEntity;
import com.mh.user.mapper.provider.DataResultProvider;
import com.mh.user.model.ChillerModel;
import org.apache.ibatis.annotations.*;

import java.util.List;

@Mapper
public interface DataResultMapper extends BaseMapper<DataResultEntity> {

    //保存水电表等数据
    @Insert("insert into data_result(device_addr,device_type,project_id,last_value,last_date,cur_value,cur_date,ratio,calc_value,grade,register_addr, register_name) values (" +
            " #{deviceAddr},#{deviceType},#{projectId},#{lastValue},#{lastDate},#{curValue},#{curDate},#{ratio},#{calcValue},#{grade}, #{registerAddr}, #{registerName})")
    void saveDataResult(DataResultEntity dataResultEntity);

    @Update("<script>" +
            "  update data_result set  " +
            "  <if test='deviceAddr!=null'>  device_addr = #{deviceAddr} </if>" +
            "  <if test='deviceType!=null'> , device_type = #{deviceType} </if>" +
            "  <if test='projectId!=null'> , project_id = #{projectId} </if>" +
            "  <if test='lastValue!=null'> , last_value = #{lastValue} </if>" +
            "  <if test='lastDate!=null'> , last_date = #{lastDate} </if>" +
            "  <if test='curValue!=null'> , cur_value = #{curValue} </if>" +
            "  <if test='ratio!=null'> , ratio = #{ratio} </if>" +
            "  <if test='calcValue!=null'> , calc_value = #{calcValue} </if>" +
            "  <if test='grade!=null'> , grade = #{grade} </if>" +
            "   where cur_date=#{curDate} and  device_addr=#{deviceAddr}  and  device_type=#{deviceType}" +
            "</script>")
    void updateDataResult(DataResultEntity dataResultEntity);

    @Results(id="rs", value = {
            @Result(property="deviceAddr",column="device_addr"),
            @Result(property="deviceType",column="device_type"),
            @Result(property="projectId",column="project_id"),
            @Result(property="lastValue",column="last_value"),
            @Result(property ="lastDate",column ="last_date"),
            @Result(property ="curValue",column ="cur_value"),
            @Result(property="curDate",column="cur_date"),
            @Result(property="ratio",column="ratio"),
            @Result(property="calcValue",column="calc_Value"),
            @Result(property="grade",column="grade")
    })
    @SelectProvider(type = DataResultProvider.class,method = "queryDataResult")
    List<DataResultEntity> queryDataResult(@Param("projectId") String projectId,
                                           @Param("startDate") String startDate,
                                           @Param("endDate") String endDate,
                                           @Param("deviceType") String deviceType,
                                           @Param("page") int page,
                                           @Param("limit") int limit);


    @SelectProvider(type = DataResultProvider.class,method = "getDataResultCount")
    int getDataResultCount(@Param("projectId") String projectId,
                             @Param("startDate") String startDate,
                             @Param("endDate") String endDate,
                             @Param("deviceType") String deviceType,
                             @Param("page") int page,
                             @Param("limit") int limit);


    //查询单条记录
    @ResultMap("rs")
    @Select("select * from  data_result where cur_date=#{curDate} and  device_addr=#{deviceAddr}  and  deviceType=#{deviceType} ")
    DataResultEntity selectDataResult(@Param("curDate") String curDate,
                         @Param("deviceAddr") String deviceAddr,
                         @Param("deviceType") String deviceType);

    //查询是否存在记录
    @Select("select count(*) from  data_result  where cur_date=#{curDate} and  device_addr=#{deviceAddr}  and  deviceType=#{deviceType} ")
    int selectDataResultCount(@Param("curDate") String curDate,
                         @Param("deviceAddr") String deviceAddr,
                         @Param("deviceType") String deviceType);

}
