package com.mh.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mh.user.entity.DataResultChEntity;
import com.mh.user.entity.DataResultNowEntity;
import org.apache.ibatis.annotations.*;

import java.util.List;

/**
 * @author LJF
 * @version 1.0
 * @project mh_esi
 * @description 当前记录
 * @date 2024-07-11 13:41:04
 */
@Mapper
public interface DataResultNowMapper extends BaseMapper<DataResultNowEntity> {

    @Insert("insert into data_result_now(device_addr,device_type,fun_code,register_addr,register_name,cur_value,cur_date,project_id,grade) values (" +
            " #{deviceAddr},#{deviceType},#{funCode},#{registerAddr},#{registerName},#{curValue},#{curDate},#{projectId},#{grade})")
    void saveDataResultNow(DataResultChEntity dataResultChEntity);

    @Delete("delete  from  data_result_now  where  device_addr=#{deviceAddr}  and  device_type = #{deviceType}  and  register_addr=#{registerAddr}  and  project_id=#{projectId}")
    void deleteDataResultNow(@Param("deviceAddr") String deviceAddr,
                             @Param("deviceType") String deviceType,
                             @Param("registerAddr") String registerAddr,
                             @Param("projectId") String projectId);

    //实时参数读取
    @Select("select * from  data_result_now  where  device_addr=#{deviceAddr}  and  device_type=#{deviceType}  and  project_id=#{projectId} ")
    List<DataResultChEntity> selectDataResultNow(@Param("deviceAddr") String deviceAddr,
                                                 @Param("deviceType") String deviceType,
                                                 @Param("projectId") String projectId);

}
