package com.mh.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mh.user.entity.MeterManageEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * @author LJF
 * @version 1.0
 * @project mh_esi
 * @description 仪表管理对接数据库
 * @date 2024-08-23 09:03:13
 */
@Mapper
public interface MeterManageMapper extends BaseMapper<MeterManageEntity> {

    @Select("select * from meter_manage where mt_code=#{deviceAddr} " +
            " and mt_type=#{deviceType} " +
            " and project_id=#{projectId} " +
            " and register_addr = #{registerAddr}")
    MeterManageEntity selectDevice(@Param("deviceAddr") String deviceAddr,
                                   @Param("deviceType") String deviceType,
                                   @Param("projectId") String projectId,
                                   @Param("registerAddr") String registerAddr);

    @Select("select top 1 mt_num from meter_manage where project_id=#{projectId} and register_addr=#{registerAddr} and func_code = '03' order by cur_value  ")
    String selectRegisterAddr(@Param("projectId") String projectId,
                              @Param("registerAddr") String registerAddr);

    @Select("select count(1) from meter_manage " +
            "  where project_id=#{projectId} and mt_type = #{mtType} and func_code = '03' and register_addr = #{registerAddr} ")
    int queryIsHotCollection(@Param("systemId") String systemId,
                             @Param("projectId") String projectId,
                             @Param("registerAddr") String registerAddr,
                             @Param("mtType") Long mtType);
}
