package com.mh.user.mapper.wechat;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * @author LJF
 * @version 1.0
 * @project mh_esi
 * @description 微信相关mapper
 * @date 2024-12-03 14:35:32
 */
@Mapper
public interface WechatMapper {

    @Select("select wt.template_id, wui.open_id from wechat_template_project wtp " +
            " join wechat_template wt on wtp.template_id = wt.id " +
            " join wechat_user_info wui on wtp.wechat_user_id = wui.id" +
            " where wtp.project_id = #{projectId} and wui.is_status = 1 ")
    List<Map<String, Object>> queryWechatUser(@Param("projectId") String projectId);
}
