package com.mh.user.service;

import com.mh.common.http.HttpResult;
import com.mh.user.entity.DataResultClEntity;
import com.mh.user.entity.DataResultEntity;
import com.mh.user.entity.DataResultChEntity;
import org.apache.ibatis.annotations.Param;

import java.text.ParseException;
import java.util.List;

public interface DataResultService {

    void saveDataResult(DataResultEntity dataResultEntity) throws ParseException;

    void updateDataResult(DataResultEntity dataResultEntity);

    List<DataResultEntity> queryDataResult(String projectId,
                                           String startDate,
                                           String endDate,
                                           String deviceType,
                                           int page,
                                           int limit);

    int getDataResultCount(String projectId,
                           String startDate,
                           String endDate,
                           String deviceType,
                           int page,
                           int limit);

    //-------------------------------------------------------------------
    //保存流量计用量
    void saveDataResultCl(DataResultClEntity dataResultClEntity) throws ParseException;

    //保存流量计用量备份
    void saveDataResultCl_bak(DataResultClEntity dataResultClEntity) throws ParseException;

    //修改流量计用量
    void updateDataResultCl(DataResultClEntity dataResultClEntity);

    //保存冷量计数据
    void saveDataResultCh(DataResultChEntity dataResultChEntity) throws ParseException;

    //修改冷量计数据
    void updateDataResultCh(DataResultChEntity dataResultChEntity);

    //查询按分钟的时间间隔
    List<DataResultChEntity> queryDataResultMi(String projectId,String startDate,String curDate,int page,int limit, int type, String registerAddr, String mtNum);

    HttpResult queryDataResultMiData(String projectId, String curDate, int page, int limit, int type, String dateType);

    int dataResultOneMiCount(String projectId,String startDate,String curDate);

    int dataResultFiveMiCount(String projectId,String startDate,String curDate, String registerAddr, String mtNum);

    int dataResultFifteenMiCount(String projectId,String startDate,String curDate, String registerAddr, String mtNum);

    //查询按秒的时间间隔
    List<DataResultChEntity> queryDataResultSec(String projectId,String startDate,String curDate);

    //保存冷水机数据
    void saveDataResultChiller(DataResultChEntity dataResultChEntity);

    void updateDataResultChiller(DataResultChEntity dataResultChEntity);

    void saveDataResultNow(DataResultChEntity dataResultChEntity);

    void deleteDataResultNow(String deviceAddr, String deviceType, String registerAddr, String projectId);

    List<DataResultChEntity> selectDataResultNow(String deviceAddr, String deviceType, String projectId);

    List<DataResultChEntity> queryDataResultChiller(String projectId,
                                                    String deviceAddr,
                                                    String registerName,
                                                    String startDate,
                                                    String curDate,
                                                    int page,
                                                    int limit);

    int dataResultChillerCount(String projectId,
                               String deviceAddr,
                               String registerName,
                               String startDate,
                               String curDate);


}
